


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UserAbsence</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: UserAbsence (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UserAbsence</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (4/ 4)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (10/ 10)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.Entity;
<i>4</i>&nbsp;import javax.persistence.Inheritance;
<i>5</i>&nbsp;import javax.persistence.InheritanceType;
<i>6</i>&nbsp;import java.time.Instant;
<i>7</i>&nbsp;
<i>8</i>&nbsp;@Entity(name = &quot;UserAbsence&quot;)
<i>9</i>&nbsp;@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
<b class="fc"><i>10</i>&nbsp;public class UserAbsence extends UserBooking {</b>
<i>11</i>&nbsp;    private String reason;
<i>12</i>&nbsp;
<i>13</i>&nbsp;    public String getReason() {
<b class="fc"><i>14</i>&nbsp;        return reason;</b>
<i>15</i>&nbsp;    }
<i>16</i>&nbsp;
<i>17</i>&nbsp;    public void setReason(String reason) {
<b class="fc"><i>18</i>&nbsp;        this.reason = reason;</b>
<b class="fc"><i>19</i>&nbsp;    }</b>
<i>20</i>&nbsp;
<i>21</i>&nbsp;    public static UserAbsence create(User user, Instant startTime, Instant endTime, String reason) {
<b class="fc"><i>22</i>&nbsp;        UserAbsence userAbsence = new UserAbsence();</b>
<b class="fc"><i>23</i>&nbsp;        userAbsence.setUser(user);</b>
<b class="fc"><i>24</i>&nbsp;        userAbsence.setStartTime(startTime);</b>
<b class="fc"><i>25</i>&nbsp;        userAbsence.setEndTime(endTime);</b>
<b class="fc"><i>26</i>&nbsp;        userAbsence.setReason(reason);</b>
<b class="fc"><i>27</i>&nbsp;        return userAbsence;</b>
<i>28</i>&nbsp;    }
<i>29</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
